Overview | Modules | Class Hierarchy | Classes | Members

# BaseGraphicsViewComponentMacro.h File Reference

`#include "tulip/BaseGraphicsViewComponent.h"`

Include dependency graph for BaseGraphicsViewComponentMacro.h:

## Namespaces

- namespace tlp

## Defines

- #define GRAPHICSVIEWEXTENSION(C, N, BN, A, D, I, R)

## Define Documentation

#define GRAPHICSVIEWEXTENSION | ( | C,
|  | N,
|  | BN,
|  | A,
|  | D,
|  | I,
|  | R |  | ) |

Value:

    class C :public BaseGraphicsViewComponent { \
    public : \
    C():BaseGraphicsViewComponent(BN){} \
    virtual ~C() {} \
    }; \
    VIEWPLUGIN(C,N,A,D,I,R)

Tulip Software by LaBRI Visualization Team 2001 - 2010